# Class VulkanRenderPassCreateInfo.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanRenderPassCreateInfo.Builder

Enclosing class:
  `VulkanRenderPassCreateInfo`

public static final class VulkanRenderPassCreateInfo.Builder extends Object
Builds instances of type `VulkanRenderPassCreateInfo`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final VulkanRenderPassCreateInfo.Builder`
  `addAllAttachments(Iterable<? extends VulkanAttachmentDescription> elements)`
  Adds elements to `attachments` list.
  `final VulkanRenderPassCreateInfo.Builder`
  `addAllDependencies(Iterable<? extends VulkanSubpassDependency> elements)`
  Adds elements to `dependencies` list.
  `final VulkanRenderPassCreateInfo.Builder`
  `addAllFlags(Iterable<VulkanRenderPassCreateFlag> elements)`
  Adds elements to `flags` set.
  `final VulkanRenderPassCreateInfo.Builder`
  `addAllSubpasses(Iterable<? extends VulkanSubpassDescription> elements)`
  Adds elements to `subpasses` list.
  `final VulkanRenderPassCreateInfo.Builder`
  `addAttachments(VulkanAttachmentDescription element)`
  Adds one element to `attachments` list.
  `final VulkanRenderPassCreateInfo.Builder`
  `addAttachments(VulkanAttachmentDescription... elements)`
  Adds elements to `attachments` list.
  `final VulkanRenderPassCreateInfo.Builder`
  `addDependencies(VulkanSubpassDependency element)`
  Adds one element to `dependencies` list.
  `final VulkanRenderPassCreateInfo.Builder`
  `addDependencies(VulkanSubpassDependency... elements)`
  Adds elements to `dependencies` list.
  `final VulkanRenderPassCreateInfo.Builder`
  `addFlags(VulkanRenderPassCreateFlag element)`
  Adds one element to `flags` set.
  `final VulkanRenderPassCreateInfo.Builder`
  `addFlags(VulkanRenderPassCreateFlag... elements)`
  Adds elements to `flags` set.
  `final VulkanRenderPassCreateInfo.Builder`
  `addSubpasses(VulkanSubpassDescription element)`
  Adds one element to `subpasses` list.
  `final VulkanRenderPassCreateInfo.Builder`
  `addSubpasses(VulkanSubpassDescription... elements)`
  Adds elements to `subpasses` list.
  `VulkanRenderPassCreateInfo`
  `build()`
  Builds a new `VulkanRenderPassCreateInfo`.
  `final VulkanRenderPassCreateInfo.Builder`
  `from(VulkanRenderPassCreateInfoType instance)`
  Fill a builder with attribute values from the provided `VulkanRenderPassCreateInfoType` instance.
  `final VulkanRenderPassCreateInfo.Builder`
  `setAttachments(Iterable<? extends VulkanAttachmentDescription> elements)`
  Sets or replaces all elements for `attachments` list.
  `final VulkanRenderPassCreateInfo.Builder`
  `setDependencies(Iterable<? extends VulkanSubpassDependency> elements)`
  Sets or replaces all elements for `dependencies` list.
  `final VulkanRenderPassCreateInfo.Builder`
  `setFlags(Iterable<VulkanRenderPassCreateFlag> elements)`
  Sets or replaces all elements for `flags` set.
  `final VulkanRenderPassCreateInfo.Builder`
  `setSubpasses(Iterable<? extends VulkanSubpassDescription> elements)`
  Sets or replaces all elements for `subpasses` list.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanRenderPassCreateInfo.Builder from(VulkanRenderPassCreateInfoType instance)
    Fill a builder with attribute values from the provided `VulkanRenderPassCreateInfoType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanRenderPassCreateInfo.Builder addFlags(VulkanRenderPassCreateFlag element)
    Adds one element to `flags` set.
    Parameters:
      `element` - A flags element
    Returns:
      `this` builder for use in a chained invocation

  - ### addFlags

    public final VulkanRenderPassCreateInfo.Builder addFlags(VulkanRenderPassCreateFlag... elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An array of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setFlags

    public final VulkanRenderPassCreateInfo.Builder setFlags(Iterable<VulkanRenderPassCreateFlag> elements)
    Sets or replaces all elements for `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllFlags

    public final VulkanRenderPassCreateInfo.Builder addAllFlags(Iterable<VulkanRenderPassCreateFlag> elements)
    Adds elements to `flags` set.
    Parameters:
      `elements` - An iterable of flags elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAttachments

    public final VulkanRenderPassCreateInfo.Builder addAttachments(VulkanAttachmentDescription element)
    Adds one element to `attachments` list.
    Parameters:
      `element` - A attachments element
    Returns:
      `this` builder for use in a chained invocation

  - ### addAttachments

    public final VulkanRenderPassCreateInfo.Builder addAttachments(VulkanAttachmentDescription... elements)
    Adds elements to `attachments` list.
    Parameters:
      `elements` - An array of attachments elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setAttachments

    public final VulkanRenderPassCreateInfo.Builder setAttachments(Iterable<? extends VulkanAttachmentDescription> elements)
    Sets or replaces all elements for `attachments` list.
    Parameters:
      `elements` - An iterable of attachments elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllAttachments

    public final VulkanRenderPassCreateInfo.Builder addAllAttachments(Iterable<? extends VulkanAttachmentDescription> elements)
    Adds elements to `attachments` list.
    Parameters:
      `elements` - An iterable of attachments elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addSubpasses

    public final VulkanRenderPassCreateInfo.Builder addSubpasses(VulkanSubpassDescription element)
    Adds one element to `subpasses` list.
    Parameters:
      `element` - A subpasses element
    Returns:
      `this` builder for use in a chained invocation

  - ### addSubpasses

    public final VulkanRenderPassCreateInfo.Builder addSubpasses(VulkanSubpassDescription... elements)
    Adds elements to `subpasses` list.
    Parameters:
      `elements` - An array of subpasses elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setSubpasses

    public final VulkanRenderPassCreateInfo.Builder setSubpasses(Iterable<? extends VulkanSubpassDescription> elements)
    Sets or replaces all elements for `subpasses` list.
    Parameters:
      `elements` - An iterable of subpasses elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllSubpasses

    public final VulkanRenderPassCreateInfo.Builder addAllSubpasses(Iterable<? extends VulkanSubpassDescription> elements)
    Adds elements to `subpasses` list.
    Parameters:
      `elements` - An iterable of subpasses elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addDependencies

    public final VulkanRenderPassCreateInfo.Builder addDependencies(VulkanSubpassDependency element)
    Adds one element to `dependencies` list.
    Parameters:
      `element` - A dependencies element
    Returns:
      `this` builder for use in a chained invocation

  - ### addDependencies

    public final VulkanRenderPassCreateInfo.Builder addDependencies(VulkanSubpassDependency... elements)
    Adds elements to `dependencies` list.
    Parameters:
      `elements` - An array of dependencies elements
    Returns:
      `this` builder for use in a chained invocation

  - ### setDependencies

    public final VulkanRenderPassCreateInfo.Builder setDependencies(Iterable<? extends VulkanSubpassDependency> elements)
    Sets or replaces all elements for `dependencies` list.
    Parameters:
      `elements` - An iterable of dependencies elements
    Returns:
      `this` builder for use in a chained invocation

  - ### addAllDependencies

    public final VulkanRenderPassCreateInfo.Builder addAllDependencies(Iterable<? extends VulkanSubpassDependency> elements)
    Adds elements to `dependencies` list.
    Parameters:
      `elements` - An iterable of dependencies elements
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanRenderPassCreateInfo build()
    Builds a new `VulkanRenderPassCreateInfo`.
    Returns:
      An immutable instance of VulkanRenderPassCreateInfo
    Throws:
      `IllegalStateException` - if any required attributes are missing